GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
gdb-gdb.TypeFlagsPrinter Class Reference

## Public Member Functions
def | __init__ (self, val)
def | __str__ (self)
def | init_TYPE_FLAGS (self)

## Public Attributes
| val

## Detailed Description

    A class that prints a decoded form of an instance_flags value.

    This class uses a global named TYPE_FLAGS, which is a list of
    all defined TypeFlag values.  Using a global allows us to compute
    this list only once.

    This class relies on a couple of enumeration types being defined.
    If not, then printing of the instance_flag is going to be degraded,
    but it's not a fatal error.

Definition at line 49 of file gdb-gdb.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def gdb-gdb.TypeFlagsPrinter.__init__ | ( |  | self,
|  |  | val
| ) |  |

Definition at line 60 of file gdb-gdb.py.

## Member Function Documentation

## ◆ __str__()

def gdb-gdb.TypeFlagsPrinter.__str__ | ( |  | self | ) |

Definition at line 62 of file gdb-gdb.py.

References gdb-gdb.TypeFlagsPrinter.init_TYPE_FLAGS(), gdb.printer.bound_registers.MpxBound128Printer.val, gdb-gdb.TypeFlagsPrinter.val, gdb.FrameDecorator.SymValueWrapper.val, gdb.printing._EnumInstance.val, YYSTYPE.val, frame_arg.val, and watchpoint.val.

## ◆ init_TYPE_FLAGS()

def gdb-gdb.TypeFlagsPrinter.init_TYPE_FLAGS | ( |  | self | ) |

    Initialize the TYPE_FLAGS global as a list of TypeFlag objects.
    This operation requires the search of a couple of enumeration types.
    If not found, a warning is printed on stdout, and TYPE_FLAGS is
    set to the empty list.

    The resulting list is sorted by increasing value, to facilitate
    printing of the list of flags used in an instance_flags value.

Definition at line 74 of file gdb-gdb.py.

Referenced by gdb-gdb.TypeFlagsPrinter.__str__().

## Member Data Documentation

## ◆ val

gdb-gdb.TypeFlagsPrinter.val

Definition at line 61 of file gdb-gdb.py.

Referenced by gdb-gdb.TypeFlagsPrinter.__str__(), gdb-gdb.StructMainTypePrettyPrinter.bounds_img(), gdb-gdb.StructMainTypePrettyPrinter.flags_to_string(), gdb-gdb.StructMainTypePrettyPrinter.owner_to_string(), gdb-gdb.StructMainTypePrettyPrinter.struct_field_img(), gdb-gdb.StructTypePrettyPrinter.to_string(), gdb-gdb.StructMainTypePrettyPrinter.to_string(), and gdb-gdb.StructMainTypePrettyPrinter.type_specific_img().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/gdb-gdb.py